Skip to main content
POST
/
api
/
v1
/
b2b
/
kyb
/
draft
/
documents
Upload draft document (deprecated, use POST /documents/upload)
curl --request POST \
  --url https://api.hevn.finance/api/v1/b2b/kyb/draft/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "base64": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "originName": "<string>",
  "link": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "content": {}
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Body

application/json

Document upload for draft.

base64
string
required
type
enum<string>
required

Document types for upload.

Available options:
certificate_of_incorporation,
formation_document,
power_of_attorney,
corporate_structure,
director_structure,
proof_of_address,
annual_financial_statements,
articles_of_association,
audit_report,
bank_reference_letter,
bank_statement,
banking_details,
birth_certificate,
business_license,
business_plan,
certificate_of_good_standing,
credit_report,
criminal_record_check,
cv_resume,
driving_license,
education_certificate,
financial_projections,
insurance_policy,
lease_agreement,
list_of_authorized_signatories,
marriage_certificate,
national_id,
operating_agreement,
partnership_agreement,
professional_license,
reference_letter,
register_of_members,
residence_permit,
shareholding_structure,
social_security_document,
source_of_funds_declaration,
tax_identification_document,
tax_returns,
trade_references,
vat_registration,
vendor_contracts,
visa,
wealth_statement,
contract,
invoice,
loan_agreement,
passport_front,
passport_back,
id_card_front,
id_card_back,
drivers_license_front,
drivers_license_back,
other
name
string | null
originName
string | null
context
string | null

Response

Successful Response

Document info in response.

id
string
required
type
enum<string>
required

Document types for upload.

Available options:
certificate_of_incorporation,
formation_document,
power_of_attorney,
corporate_structure,
director_structure,
proof_of_address,
annual_financial_statements,
articles_of_association,
audit_report,
bank_reference_letter,
bank_statement,
banking_details,
birth_certificate,
business_license,
business_plan,
certificate_of_good_standing,
credit_report,
criminal_record_check,
cv_resume,
driving_license,
education_certificate,
financial_projections,
insurance_policy,
lease_agreement,
list_of_authorized_signatories,
marriage_certificate,
national_id,
operating_agreement,
partnership_agreement,
professional_license,
reference_letter,
register_of_members,
residence_permit,
shareholding_structure,
social_security_document,
source_of_funds_declaration,
tax_identification_document,
tax_returns,
trade_references,
vat_registration,
vendor_contracts,
visa,
wealth_statement,
contract,
invoice,
loan_agreement,
passport_front,
passport_back,
id_card_front,
id_card_back,
drivers_license_front,
drivers_license_back,
other
name
string | null
originName
string | null
createdAt
string<date-time> | null
content
Content · object